内容字号:默认大号超大号

段落设置:段首缩进取消段首缩进

字体设置:切换到微软雅黑切换到宋体

pip9.01报ssl错误:[SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1

2018-04-21 16:04 出处:清屏网 人气: 评论(0

在mac上使用pip安装软件包scrapy,报ssl错误:

Collecting scrapy

Could not fetch URL https://pypi.python.org/simple/scrapy/: There was a problem confirming the ssl certificate: [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:661) - skipping

Could not find a version that satisfies the requirement scrapy (from versions: )

No matching distribution found for scrapy

相关软件版本

  • python:2.7
  • pip:9.0.1
  • OSX Sierra 10.12.6

解决方法:

升级pip到最新版本(至少9.0.3)

curl https://bootstrap.pypa.io/get-pip.py | python

原因是 Python.org sites 终止支持TLS1.0和1.1,TLS需要>=1.2

参考:https://stackoverflow.com/questions/49768770/not-able-to-install-python-packages-ssl-tlsv1-alert-protocol-version


分享给小伙伴们:
本文标签: sslpip

相关文章

发表评论愿您的每句评论,都能给大家的生活添色彩,带来共鸣,带来思索,带来快乐。

CopyRight © 2015-2016 QingPingShan.com , All Rights Reserved.

清屏网 版权所有 豫ICP备15026204号